py4j

## Class JVMView

- java.lang.Object
- - py4j.JVMView

-     public class JVMView
      extends Object

  A JVM view keeps track of imports and import searches. A Python client can have multiple JVM views (e.g., one for each module) so that imports in one view do not conflict with imports from other views.

  JVM views are not hierarchical: they do not inherit from each other so an import in the default view does not affect the other views.

  Author:
    Barthelemy Dagenais

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `JAVA_LANG_STAR_IMPORT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JVMView(String name, String id)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addSingleImport(String singleImport)`
    `void` | `addStarImport(String starImport)`
    `void` | `clearImports()`
    `String` | `getId()`
    `String[]` | `getImportedNames()` Return the current list of imports known to this view.
    `Set<String>` | `getLastImportSearches()`
    `String` | `getName()`
    `int` | `getSequenceId()` Sequence ID for getImportedNames().
    `Map<String,String>` | `getSingleImportsMap()`
    `Set<String>` | `getStarImports()`
    `boolean` | `removeSingleImport(String importString)`
    `boolean` | `removeStarImport(String starImport)`
    `void` | `setId(String id)`
    `void` | `setName(String name)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### JAVA_LANG_STAR_IMPORT

          public static final String JAVA_LANG_STAR_IMPORT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JVMView

          public JVMView(String name,
                         String id)

  - ### Method Detail

    - #### addSingleImport

          public void addSingleImport(String singleImport)

      Parameters:
        `singleImport` - Single import statement of the form package1.package2.SimpleName

    - #### addStarImport

          public void addStarImport(String starImport)

      Parameters:
        `starImport` - Star Import of the form "package1.package2.*"

    - #### clearImports

          public void clearImports()

    - #### getId

          public String getId()

    - #### getLastImportSearches

          public Set<String> getLastImportSearches()

    - #### getName

          public String getName()

    - #### getSingleImportsMap

          public Map<String,String> getSingleImportsMap()

    - #### getStarImports

          public Set<String> getStarImports()

    - #### removeSingleImport

          public boolean removeSingleImport(String importString)

    - #### removeStarImport

          public boolean removeStarImport(String starImport)

    - #### setId

          public void setId(String id)

    - #### setName

          public void setName(String name)

    - #### getImportedNames

          public String[] getImportedNames()

      Return the current list of imports known to this view.
      Returns:
        list of class simple names.

    - #### getSequenceId

          public int getSequenceId()

      Sequence ID for getImportedNames(). The sequence ID can be compared to a previous call to determine if getImportedNames() will return a different value. The sequence ID is changed after the contents of getImportedNames() changes.
      Returns:
        sequence ID